Subject: Re: [PATCH v2 0/3] ethtool: fix use of SPEED_UNKNOWN constant

From: Andrew Lunn <[email-masked]>
Date: Mon, 8 Apr 2019 19:54:43 +0200

On Mon, Apr 08, 2019 at 10:48:44AM -0400, Michael Zhivich wrote:
> This patch series addresses 2 related issues:
> 
> 1. ethtool_validate_speed() triggers a "signed-unsigned comparison"
> warning due to type difference of SPEED_UNKNOWN constant (int)
> and argument to ethtool_validate_speed (__u32).
> 
> 2. some drivers use u16 storage for SPEED_UNKNOWN constant, 
> resulting in value truncation and thus failure to test against
> SPEED_UNKNOWN correctly.
> 
> This revised series addresses several feedback comments:
> - split up the patch in to series
> - do not unnecessarily change drivers that use "int" storage
>   for speed values

Hi Michael

Your v1 had some changes which changed plain int value speeds to using
the SPEED_X macros. Those changes appear to of disappeared. You could
submit them as well.

       Thanks
	Andrew